interactions:
- request:
    body: '{"input": "Hello world", "model": "text-embedding-ada-002", "user": "ddtrace-test",
      "encoding_format": "base64"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '112'
      content-type:
      - application/json
      host:
      - test-openai.openai.azure.com
      user-agent:
      - AzureOpenAI/Python 1.1.1
      x-stainless-arch:
      - arm64
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.1.1
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.10.5
    method: POST
    uri: https://test-openai.openai.azure.com//openai/deployments/test-openai/embeddings?api-version=2023-07-01-preview
  response:
    content: "{\n  \"object\": \"list\",\n  \"data\": [\n    {\n      \"object\":
      \"embedding\",\n      \"index\": 0,\n      \"embedding\": \"[encoded data, 8192 characters]\"\n
      \   }\n  ],\n  \"model\": \"ada\",\n  \"usage\": {\n    \"prompt_tokens\": 2,\n
      \   \"total_tokens\": 2\n  }\n}\n"
    headers:
      Content-Length:
      - '8395'
      Content-Type:
      - application/json
      Date:
      - Tue, 07 Nov 2023 01:35:52 GMT
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains; preload
      access-control-allow-origin:
      - '*'
      apim-request-id:
      - a2ced359-72e0-45d3-8197-6d50aef6760e
      x-content-type-options:
      - nosniff
      x-ms-client-request-id:
      - a2ced359-72e0-45d3-8197-6d50aef6760e
      x-ms-region:
      - East US
      x-request-id:
      - aa8221a9-6121-4a79-8b55-5336ab7522ff
    http_version: HTTP/1.1
    status_code: 200
version: 1
